# remove unneeded headers
remove-all-packet-headers
add-packet-header Common RTP TCP IP Flags

Queue set limit_ 100000           ;# make all other queues unlimited

Agent/TCP set useHeaders_ false   ;# do not count header
Agent/TCP set syn_ false          ;# no connection setup
Agent/TCP set window_ 100000      ;# maximum receiver window (in pkts?)

Application/Traffic/Poisson set rate_ 448Kb
Application/Traffic/Poisson set linkrate_ 1Mb
Application/Traffic/Poisson set packetSize_ 210
Application/Traffic/Poisson set maxpkts_ 268435456

# create a simulator instance, enable multicast to enable interface numbering
set ns [new Simulator -multicast on]
#set alltracefile [open out.tr w]  
#$ns trace-all $alltracefile

# set simulation end
proc finish {} {
	global ns flowtracefile linktracefile comptracefile alltracefile opt
	$ns flush-trace
	if { [info exists flowtracefile] } { close $flowtracefile }
	if { [info exists linktracefile] } { close $linktracefile }
	if { [info exists comptracefile] } { close $comptracefile }
	if { [info exists alltracefile] } { close $alltracefile }
	if { $opt(quiet) == 0 } {
		puts "\rsimulation finish"
		flush stdout
	}
	exit 0
}

# show the percentage progress
proc showProgress { sim_length } {
	global ns 
	for {set percent 0} {$percent < 100} {incr percent} {
		$ns at [expr $sim_length * $percent / 100] "puts -nonewline \[format \"\rsimulation: \%3i\%\%  \" $percent\];flush stdout"
	}
	$ns at $sim_length "puts -nonewline \"\rsimulation: 100% \""; flush stdout
}

proc getopt { argc argv } {
	global opt
	for {set i 0} {$i < $argc} {incr i} {
		set arg [lindex $argv $i]
		if {[string range $arg 0 0] != "-"} continue
		set name [string range $arg 1 end]
		set opt($name) [lindex $argv [expr $i+1]]
#		puts "opt($name): $opt($name)"
	}
}
