#!/bin/bash

usage() {
	echo "usage: $0 <column>" >&2
	exit 1
}

AWKSCRIPT="BEGIN {
	min=9999999999; max=-9999999999; sum=0; sum2=0
}

{
	v=\$row
	if (v > max) { max = v }
	if (v < min) { min = v }
	sum += v
	sum2 += (v*v)
}

END {
	avg = sum/NR
	stddev = sqrt(sum2/NR - avg*avg)
	if (relavg == 1) stddev = stddev/avg
	printf \"%f %f %f %f\\n\", min, avg, max, stddev
}"

[ "$1" = "x" ] && { ra=1; shift; } || { ra=0; }
[ $# -eq 1 ] || usage
exec awk -v relavg=$ra -v row=$1 -- "${AWKSCRIPT}"
