#!/bin/bash
source $(dirname $0)/../defs

for ((win=25;win<=1000;win=win*2)); do
gnuplot -p <<EOF
set terminal postscript eps enhanced monochrome "Helvetica" 28
set output "$pdir/$EXP-$win.eps"
stats "$ddir/$EXP-fifo-$win.dat" name "F" nooutput
stats "$ddir/$EXP-prio-$win.dat" name "P" nooutput
stats "$ddir/$EXP-dsf-$win.dat" name "D" nooutput
set key bottom right
set logscale x 2
set xrange [0.00001:*]
set xtics ( "10^{-5}" 0.00001, "10^{-4}" 0.0001, "10^{-3}" 0.001, "10^{-2}" 0.01 )
set ylabel "CDF"
set xlabel "TI^2" offset 2
set format x "%.2f"
set style data lines
plot "$ddir/$EXP-dsf-$win.dat"  every 100 using 1:(100*\$0/D_records) title "DSF",\
     "$ddir/$EXP-fifo-$win.dat" every 100 using 1:(100*\$0/F_records) title "FIFO",\
     "$ddir/$EXP-prio-$win.dat" every 100 using 1:(100*\$0/P_records) title "PRIO"
EOF
done

gnuplot -p <<EOF
set terminal postscript eps enhanced monochrome "Helvetica" 28
set output "$pdir/delay-fifo.eps"
stats "$ddir/$EXP-fifo-0.delay" name "F0" nooutput
set key off
set logscale x 2
set logscale x 2
set xrange [0.01:512]
set xtics ( 0.01, 0.1, 1, 4, 10, 50, 200 )
set logscale x2 2
set x2range [0.01:512]
set x2tics (100)
set ylabel "CDF"
set xlabel "Delay (ms)" offset 2
set style data lines
plot "$ddir/$EXP-fifo-0.delay" every 4 using (1000*\$1):(4*\$0/F0_records) notitle
EOF

for q in prio dsf; do
gnuplot -p <<EOF
set terminal postscript eps enhanced monochrome "Helvetica" 28
set output "$pdir/delay-$q.eps"
stats "$ddir/$EXP-$q-0.delay" name "D0" nooutput
stats "$ddir/$EXP-$q-1.delay" name "D1" nooutput
stats "$ddir/$EXP-$q-2.delay" name "D2" nooutput
stats "$ddir/$EXP-$q-3.delay" name "D3" nooutput
set key off
set logscale x 2
set xrange [0.01:512]
set xtics ( 0.01, 0.1, 1, 4, 10, 50, 200 )
set logscale x2 2
set x2range [0.01:512]
set x2tics (100)
set ylabel "CDF"
set xlabel "Delay (ms)" offset 2
set style data lines
plot \
"$ddir/$EXP-$q-3.delay" using (1000*\$1):(\$0/D3_records) lt 4 notitle,\
"$ddir/$EXP-$q-2.delay" using (1000*\$1):(\$0/D2_records) lt 3 notitle,\
"$ddir/$EXP-$q-1.delay" using (1000*\$1):(\$0/D1_records) lt 2 notitle,\
"$ddir/$EXP-$q-0.delay" using (1000*\$1):(\$0/D0_records) lt 1 notitle
EOF
done
