#!/bin/bash
source $(dirname $0)/../defs

gnuplot <<EOF
set terminal postscript eps enhanced "Helvetica" 20
set output "$2"

set xrange[100:255]
set yrange[20:300]

set xlabel "Mean Per-Flow Goodput (KBps)"
set ylabel "Delay (ms)"
set xtics font ",14"

set key top left

set style fill empty
plot "$1" using 1:4 with points title "maximum" , \
"$1" using 1:5 lt 0 lw .9 smooth bezier title "maximum regression" , \
"$1" using 1:2 with points lt 2 title "95 percentile", \
"$1" using 1:3 lt 2 lw .7 smooth bezier title "95 percentile regression"

EOF

gnuplot <<EOF
set terminal postscript eps enhanced "Helvetica" 20
set output "$4"

set xrange[100:255]
set yrange[20:300]

set xlabel "Mean Per-Flow Goodput (KBps)"
set ylabel "Delay (ms)"
set xtics font ",14"

set key top left

set style fill empty
plot "$3" using 1:4 with points title "maximum" , \
"$3" using 1:5 lt 0 lw .9 smooth bezier title "maximum regression" , \
"$3" using 1:2 with points lt 2 title "95 percentile", \
"$3" using 1:3 lt 2 lw .7 smooth bezier title "95 percentile regression"

EOF



