#!/bin/bash
source $(dirname $0)/../defs
NS3="$bdir/ns3/codel.sh --linuxStack=0"
DUR="--simDuration=60"
for ((run=1;run<30;run+=1)); do
    for delay in "10ms" "30ms" "80ms"; do
	for q in $(seq 1 1 25) $(seq 26 2 36) $(seq 40 4 56) $(seq 66 8 110) $(seq 125 25 500) 550 600 650 750; do
	    echo " --run=$run --queueType=DropTail --queueTime=$q --routerDelay=$delay --desc=Droptail$q-$delay $DUR"
	done
# very high tp CoDel configs
	for q in 400 500 600 750; do
	    for i in 100 200 400; do
		for t in 5 50 100; do
		    echo " --run=$run --queueType=CoDel --queueTime=$q --codelInterval=$i --codelTarget=$t --routerDelay=$delay --desc=CoDel-$q-$i-$t-$delay $DUR"
		done
	    done
	done
# high tp CoDel configs
	for q in 200 250 300; do
	    for i in 100 150 200; do
		for t in 5 10 20 50; do
		    echo " --run=$run --queueType=CoDel --queueTime=$q --codelInterval=$i --codelTarget=$t --routerDelay=$delay --desc=CoDel-$q-$i-$t-$delay $DUR"
		done
	    done
	done
# medium-high delay CoDel configs
	for q in 140 160 200; do
	    for i in 60 90 120 150; do
		for t in 2 5 10; do
		    echo " --run=$run --queueType=CoDel --queueTime=$q --codelInterval=$i --codelTarget=$t --routerDelay=$delay --desc=CoDel-$q-$i-$t-$delay $DUR"
		done
	    done
	done
# medium delay CoDel configs
	for q in 60 90 120; do
	    for i in 10 30 50 60; do
		for t in 1 2 5; do
		    echo " --run=$run --queueType=CoDel --queueTime=$q --codelInterval=$i --codelTarget=$t --routerDelay=$delay --desc=CoDel-$q-$i-$t-$delay $DUR"
		done
	    done
	done
# medium-low delay CoDel configs
	for q in 35 50; do
	    for i in 5 10 20; do
		for t in 1 2 5; do
		    echo " --run=$run --queueType=CoDel --queueTime=$q --codelInterval=$i --codelTarget=$t --routerDelay=$delay --desc=CoDel-$q-$i-$t-$delay $DUR"
		done
	    done
	done
# low delay CoDel configs
	for q in 5 10 20; do
	    for i in 0.1 1 5 10; do
		for t in 0.01 0.1 1; do
		    echo " --run=$run --queueType=CoDel --queueTime=$q --codelInterval=$i --codelTarget=$t --routerDelay=$delay --desc=CoDel-$q-$i-$t-$delay $DUR"
		done
	    done
	done
# standard CoDel configs change i
	for q in 750; do
	    for i in 0.1 1 2 3 4 5 7 9 11 13 15 20 25 30 35 40 45 50 60 70 80 90 100 120 140 160 180 200 225 250 275 300 350 400 450 500 600; do
		for t in 5; do
		    echo " --run=$run --queueType=CoDel --queueTime=$q --codelInterval=$i --codelTarget=$t --routerDelay=$delay --desc=CoDel-$q-$i-$t-$delay $DUR"
		done
	    done
	done
# standard CoDel configs change t
	for q in 750; do
	    for i in 100; do
		for t in 0.00001 0.0005 .0001 0.0005 .001 .01 1 2 3 4 5 6 7 8 9 10 15 20 25 30 40 50 60 70 80 90 100; do
		    echo " --run=$run --queueType=CoDel --queueTime=$q --codelInterval=$i --codelTarget=$t --routerDelay=$delay --desc=CoDel-$q-$i-$t-$delay $DUR"
		done
	    done
	done
    done
done |$PARALLEL --colsep ' ' $NS3 {} > $odir/codeloutput.csv
