#!/bin/bash
source $(dirname $0)/../defs
# with xerrorbars
for q in DSF FIFO100; do
[ "$q" = "DSF" ] && y2range='set y2range [0:1.5]' || y2range='set y2range [0:150]'
gnuplot <<EOF
set terminal postscript eps enhanced monochrome "Helvetica" 32
set output "$pdir/simple-$q.eps"
set xlabel "Experiment Time"
set ylabel "Throughput (Kbit/s)" rotate by 90 offset 1.5
set y2label "Delay (ms)" rotate by 90 offset -1.5
set yrange [0:70]
$y2range
set y2tics
set ytics nomirror
set key right bottom

set label 1 "Avg Delay" at 15,10
set label 2 "Max Delay" at 15,43
set label 3 "Throughput" at 15,67 front

plot \
"$ddir/simple-$q" using 1:(\$2/125) with lines notitle,\
"$ddir/simple-$q" using 1:(\$4*1000) axes x1y2 with lines notitle,\
"$ddir/simple-$q" using 1:(\$5*1000) axes x1y2 with lines notitle

set output "$pdir/simple-$q-bg.eps"
set ylabel "Throughput (Mbit/s)" rotate by 90 offset 2
set yrange [0:105]
set y2range [0:150]
unset label 1
unset label 2
unset label 3
set label 1 "Avg Delay" at 15,19
set label 2 "Max Delay" at 15,64
set label 3 "Throughput" at 15,90 front
plot \
"$ddir/simple-$q" using 1:(\$6/125000) with lines notitle,\
"$ddir/simple-$q" using 1:(\$8*1000) axes x1y2 with lines notitle,\
"$ddir/simple-$q" using 1:(\$9*1000) axes x1y2 with lines notitle

EOF
done
