#!/bin/bash

usage() {
	echo "usage: $0 <colarr> <coldep> <flows> [<count>]" >&2
	exit 1
}

AWKSCRIPT="BEGIN {
	for (f = 0; f < flows; f++) {
		totarr[f] = 0;
		totdep[f] = 0;
		for (idx = 0; idx < count; idx++) {
			arr[f][idx] = 0;
			dep[f][idx] = 0;
		}
	}
	f=0
	idx=0
	cnt=0
}

{
	totarr[f] -= arr[f][idx]
	totdep[f] -= dep[f][idx]
	arr[f][idx] = \$col1
	dep[f][idx] = \$col2
	totarr[f] += arr[f][idx]
	totdep[f] += dep[f][idx]
	f += 1
	if (f == flows) {
		idx += 1
		if (idx == count) {
			idx = 0
			cnt += 1
		}
		if (cnt > 0) {
			s=0
			sq=0
			for (f = 0; f < flows; f++) {
				if (totarr[f]) r = totdep[f] / totarr[f]
				else r = 1
				s += r
				sq += r^2
			}
			if (sq > 0) print 1 - ((s^2) / (flows * sq))
			else print 1 - (1 / flows)
		}
		f = 0
	}
}

END {}"

count=1
if [ $# -eq 4 ]; then
	count=$4
elif [ $# -ne 3 ]; then
	usage
fi

exec gawk -v col1=$1  -v col2=$2 -v flows=$3  -v count=$count -- "${AWKSCRIPT}"
